MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Tag.hxx File Reference
`#include "TagType.h"`
`#include "TagItem.hxx"`
`#include "Chrono.hxx"`
`#include "Compiler.h"`
`#include <algorithm>`
Include dependency graph for Tag.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | Tag
| The meta information about a song file. More...
class | Tag::const_iterator

## Functions
gcc_pure TagType | tag_name_parse (const char *name)
| Parse the string, and convert it into a TagType. More...
gcc_pure TagType | tag_name_parse_i (const char *name)
| Parse the string, and convert it into a TagType. More...

## Function Documentation

gcc_pure TagType tag_name_parse | ( | const char * | name | ) |

Parse the string, and convert it into a TagType.

Returns TAG_NUM_OF_ITEM_TYPES if the string could not be recognized.

gcc_pure TagType tag_name_parse_i | ( | const char * | name | ) |

Parse the string, and convert it into a TagType.

Returns TAG_NUM_OF_ITEM_TYPES if the string could not be recognized.

Case does not matter.